# Stores

Business Entities or locations of a single business entity that need to maintain their own inventory records.

## Gets Stores

 - [GET /stores](https://developer.yellowdogsoftware.com/rest/fetch/api/stores/get-stores.md)

## Gets Store by Id

 - [GET /stores/{id}](https://developer.yellowdogsoftware.com/rest/fetch/api/stores/get-stores-byid.md)

## Gets Items for a Specific Store

 - [GET /stores/{id}/items](https://developer.yellowdogsoftware.com/rest/fetch/api/stores/get-stores-items.md): Three Endpoints Retrieve Item Data 

{% table %}
---
- GET /items
- Multiple items from any store unless filtered
---
- GET /items/{itemId}
- A specific item from any store
---
- GET /stores/{storeId}/items
- Multiple items from a specific store unless filtered
{% /table %}




 Caveats Regarding Deleted Items 

- Items marked as deleted are not returned in the response.
- Yellow Dog keeps deleted items in an archive and allows them to be undeleted.






#### Parameters and Headers
This endpoint supports standard
paginaton query parameters and response headers.
In addition, it supports item specific use of the path and query parameters listed below.


 Using Pagination with 'lastUpdated' 

##### Paginate through all of this store's items

GET /stores/{storeId}/items?Expand=Stores&Expand=Vendors&orderBy=sku&pageNumber=1&pageSize=100

For populating your initial datastore, it is best to make a call through all pages of the
items endpoint with the proper expansion query parameters.
From this point forward, you should be able to use the following lastUpdated
example to refresh
your datastore with only the changes that have occured in the item configuration.

##### Limit Subsequent Item Pulls with lastUpdated

GET /stores/{storeId}/items?Expand=Stores&Expand=Vendors&orderBy=sku&filter=lastUpdated>=20260401

This request will return all the items that have a lastUpdated later than 2026-04-01.
It is highly recommended that you use a request like this for updating your data store
for the latest item configurations.
It is recommended that the lastUpdated filter value be set as the last time the item refresh cycle began.

## Gets a Store's ThirdPartyCodes

 - [GET /stores/{id}/interfaces/ThirdPartyCodes](https://developer.yellowdogsoftware.com/rest/fetch/api/stores/get-stores-interfaces.md)

